Bug 304371 - Connecting to remote hypervisors requires root.
Connecting to remote hypervisors requires root.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 21:01 EDT by Fabian Deutsch
Modified: 2008-05-08 10:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-08 10:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2007-09-24 21:01:45 EDT
Description of problem:
virt-manager is a symlink to consolehelper, so even connecting to remote URIs
requires root.
This should not be, beacause you might just want to connect to some remote
machine, so just using virt-manager as some client, that shall not require local
root privileges.

Version-Release number of selected component (if applicable):
current f 7 packages.

How reproducible:
Run "virt-manager -c qemu+ssh://usr@somehost:22/system" you get a prompt to
enter your root password.

Steps to Reproduce:
See above.
  
Actual results:
You need to enter a root password.

Expected results:
virt-manager connects to the remote host, just asking for your remote password
via ssh.

Additional info:
Comment 1 Daniel Berrange 2007-09-26 22:56:58 EDT
We need to use console helper so that when managing a local hypervisor is
possible for virt-manager to create new guests. To allow virt-manager to run as
non-root we need to make sure we can still fully manage local guests. This
requires introduction of new APIs in libvirt & integration with PolicyKit. This
is work in progress. In the meantime you can simply hit the 'Run unprivileged'
button if you want to run non-root.
Comment 2 Cole Robinson 2008-05-08 10:28:20 EDT
Hi, virt-manager PolicyKit integration has been in F8 for a few months. With a
proper PolicyKit.conf, regular users will be able to connect to remote
hypervisors no problem. This won't be backported to Fedora 7 though, since it is
nearly end of life. 

I'm closing this bug as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.